﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Diagnostics;
using Infragistics.Web.UI;
using Infragistics.Web.UI.GridControls;
using Infragistics.Web.UI.ListControls;

public partial class _Test : System.Web.UI.Page
{

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Session["gridSource"] = populateDataSet();
            whdg1.DataSource = (DataSet)Session["gridSource"];
            whdg1.InitialDataBindDepth = -1;
        }
        WebDropDown dd = (WebDropDown)this.whdg1.EditorProviders[0].GetEditor();
        dd.TextField = "Name";
        dd.ValueField = "id";
        dd.DataSource = populateDataSet();
        dd.DataBind();
    }


    private DataSet populateDataSet()
    {

        DataSet ds = new DataSet();
        DataTable Parent = new DataTable();
        Parent.TableName = "Parent";
        DataTable Child = new DataTable();
        Child.TableName = "Child";

        Parent.Columns.Add("ID");
        Parent.Columns.Add("Name");

        DataColumn[] col = new DataColumn[1];
        col[0] = Parent.Columns["ID"];
        Parent.PrimaryKey = col;
        col[0] = Child.Columns["ID"];
        Child.PrimaryKey = col;

        DataRow row = Parent.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Name", "Alice");
        Parent.Rows.Add(row);

        row = Parent.NewRow();
        row.SetField<int>("ID", 1);
        row.SetField<String>("Name", "Bob");
        Parent.Rows.Add(row);


        Child.Columns.Add("ID");
        Child.Columns.Add("Address");
        Child.Columns.Add("Count", typeof(int));

        row = Child.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Address", "Paris");
        row.SetField<int>("Count", 5);
        Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Address", "Rome");
        row.SetField<int>("Count", 9);
        Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 1);
        row.SetField<string>("Address", "London");
        row.SetField<int>("Count", 2);
        //Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 1);
        row.SetField<string>("Address", "LosAngeles");
        row.SetField<int>("Count", 9);
        // Child.Rows.Add(row);

        ds.Tables.Add(Parent);
        ds.Tables.Add(Child);


        DataRelation relation = new DataRelation("IDRelation", Parent.Columns["ID"], Child.Columns["ID"]);
        ds.Relations.Add(relation);

        return ds;
    }

}